---
import AsideMenu from '../components/AsideMenu.astro';

interface Props {
	title: string;
}

const { title } = Astro.props;
---

<!doctype html>
<html lang="en">
	<head>
		<title>{title}</title>
	</head>
	<body>
		<div id="app" class="relative h-screen p-2 gap-2">
			
			<aside class="[grid-area:aside] flex-col flex overflow-y-auto">
				<AsideMenu />				
			</aside>
			
			<main class="[grid-area:main] rounded-lg bg-zinc-900 overflow-y-auto">
				<slot />
			</main>

			<footer class="[grid-area:player] min-h-[100px]">
				PLAYER
			</footer>

		</div>
	</body>
</html>

<style>
	#app {
		display: grid;
		grid-template-areas: 
		"aside main main"
		"player player player";
		grid-template-columns: 350px 1fr;
		grid-template-rows: 1fr auto;
	}

</style>

<style is:global>
	html {
		font-family: "CircularStd", system-ui, sans-serif;
		background: #000;
	}

	@font-face {
        font-family: "CircularStd";
        src: url("/fonts/CircularStd-Medium.woff2") format("woff2");
        font-weight: 500;
        font-style: normal;
        font-display: swap;
    }

	@font-face {
		font-family: "CircularStd";
		src: url("/fonts/CircularStd-Book.woff2") format("woff2");
		font-weight: 400;
		font-style: normal;
		font-display: swap;
	}

	@font-face {
		font-family: "CircularStd";
		src: url("/fonts/CircularStd-Light.woff2") format("woff2");
		font-weight: 300;
		font-style: normal;
		font-display: swap;
	}

	@font-face {
		font-family: "CircularStd";
		src: url("/fonts/CircularStd-Bold.woff2") format("woff2");
		font-weight: 700;
		font-style: normal;
		font-display: swap;
	}

	@font-face {
		font-family: "CircularStd";
		src: url("/fonts/CircularStd-Black.woff2") format("woff2");
		font-weight: 900;
		font-style: normal;
		font-display: swap;
	}

</style>
